当前已保存的用户坐标系坐标点到世界坐标系的转换

 

代码
//当前已保存的用户坐标系坐标点到世界坐标系的转换
Sub Example_TranslateCoordinates()
    
Set ucsObj = ThisDrawing.ActiveUCS '得到当前坐标系
    
    
' Have the user enter a point
    Dim pointWCS As Variant
    pointWCS 
= ThisDrawing.Utility.GetPoint(, "Enter a point to translate:")
    
    
' Translate the point into UCS coordinates
    Dim pointUCS As Variant
    pointUCS 
= ThisDrawing.Utility.TranslateCoordinates(pointWCS, acWorld, acUCS, False)
    
    
' Display the coordinates of the point
    MsgBox "The point has the following coordinates:" & vbCrLf & _
            
"WCS: " & pointWCS(0& "" & pointWCS(1& "" & pointWCS(2& vbCrLf & _
            
"UCS: " & pointUCS(0& "" & pointUCS(1& "" & pointUCS(2), , "TranslateCoordinates Example"

End Sub

 

 

posted @ 2010-05-22 16:25  houlinbo  阅读(1677)  评论(0编辑  收藏  举报